For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETcheck if a limited-availability entity such as a subdomain, email or phone number is already in use
      • GETlist accounts
      • POSTcreate an account
      • GETretrieve account
      • PUTupdate account
      • DELdelete an account
      • GETget webhook signing secret, regenerating if requested
      • POSTadd or change the sip realm
      • GETretrieve call capacity and other limits from the account
      • POSTcreate a limit for an account
      • GETget all api keys for an account
      • POSTcreate an API key for an account
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementAccounts

retrieve account

GET
https://api.jambonz.cloud/v1/Accounts/:AccountSid
GET
/v1/Accounts/:AccountSid
$curl https://api.jambonz.cloud/v1/Accounts/AccountSid \
> -H "Authorization: Bearer <token>"
1{
2 "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "name": "Acme Corp Main Account",
4 "service_provider_sid": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
5 "sip_realm": "sip.acmecorp.com",
6 "registration_hook": {
7 "url": "https://hooks.acmecorp.com/registration",
8 "method": "get"
9 },
10 "device_calling_application_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
11 "record_all_calls": true,
12 "record_format": "wav",
13 "bucket_credential": {
14 "vendor": "aws_s3",
15 "region": "us-west-2",
16 "name": "acmecorp-call-recordings",
17 "access_key_id": "AKIAIOSFODNN7EXAMPLE",
18 "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
19 }
20}
Was this page helpful?
Previous

update account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequired

Response

account found
account_sidstringformat: "uuid"
namestring
service_provider_sidstringformat: "uuid"
sip_realmstring
registration_hookobject
authentication webhook for registration
device_calling_application_sidstringformat: "uuid"
record_all_callsboolean
record_formatenum
Allowed values:
bucket_credentialobject
Credentials for recording storage

Errors

404
Not Found Error
500
Internal Server Error